public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-blockdiag/
Date: Wed,  2 Aug 2017 04:06:58 +0000 (UTC)	[thread overview]
Message-ID: <1501646783.baa70e7004bed1d1c475fe10a0c34d9a7cef27b4.bicatali@gentoo> (raw)

commit:     baa70e7004bed1d1c475fe10a0c34d9a7cef27b4
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  1 22:19:17 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 04:06:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baa70e70

dev-python/sphinxcontrib-blockdiag: add namespace dependency and fix bug #623852

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 .../sphinxcontrib-blockdiag-1.5.5-r1.ebuild        | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild
new file mode 100644
index 00000000000..775f0da1e16
--- /dev/null
+++ b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-1.5.5-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
+
+HOMEPAGE="https://github.com/blockdiag/sphinxcontrib-blockdiag"
+
+SRC_URI="https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE=""
+
+DEPEND="
+	dev-python/sphinx[${PYTHON_USEDEP}]
+	>=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
+"
+
+RDEPEND="${DEPEND}
+	dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+	sed -i -e /build-base/d setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${ED}" -name '*.pth' -delete || die
+}


             reply	other threads:[~2017-08-02  4:07 UTC|newest]

Thread overview: 42+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-02  4:06 Sebastien Fabbro [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-10 18:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-blockdiag/ Michał Górny
2022-07-10 16:56 Sam James
2022-06-05 18:22 Michał Górny
2022-04-26 20:28 Michał Górny
2022-04-26 19:11 Arthur Zamarin
2022-04-26 17:01 Michał Górny
2022-04-26  3:07 Sam James
2022-04-20 12:18 Michał Górny
2021-07-27 23:11 Marek Szuba
2021-06-22 21:28 Michał Górny
2021-03-28 22:16 Brian Dolbec
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-11-26 19:08 Sam James
2020-11-26 13:21 Sam James
2020-10-07  1:02 Sam James
2020-10-04 19:49 Sergei Trofimovich
2020-10-01 17:29 Sergei Trofimovich
2020-09-30 20:26 Sam James
2020-09-27  6:42 Matt Turner
2020-09-13  4:55 Sam James
2020-09-13  3:31 Sam James
2020-08-25 10:23 Sam James
2020-08-18 21:53 Sergei Trofimovich
2020-03-29  9:16 Michał Górny
2020-02-05 13:24 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2019-12-09  8:39 Michał Górny
2019-07-31 14:32 Mikle Kolyada
2019-07-29 10:48 Mikle Kolyada
2019-07-22 14:12 Aaron Bauman
2019-07-14 12:27 Michał Górny
2019-07-14 12:27 Michał Górny
2019-07-14 12:27 Michał Górny
2019-04-27 11:49 Anthony G. Basile
2019-03-16 23:17 Anthony G. Basile
2017-10-08 11:00 Michał Górny
2017-06-02 17:31 David Seifert
2017-05-16  2:10 Brian Dolbec
2017-04-07 14:14 Michał Górny
2017-02-10 21:52 Brian Dolbec

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1501646783.baa70e7004bed1d1c475fe10a0c34d9a7cef27b4.bicatali@gentoo \
    --to=bicatali@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox